Get Waiting List Entry
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyWaiting List (Pro)
Get Waiting List Entry
Retrieve a specific waiting list entry by ID.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
/
waiting-list
/
{id}
Get Waiting List Entry
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/waiting-list/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyLatePoint Pro feature. The waiting list requires LatePoint Pro Features with Waiting List enabled in LatePoint settings. Otherwise this endpoint returns
503 (feature_not_available or feature_disabled). See Pro features.Path Parameters
integer
required
The ID of the waiting list entry
Example Request
GET /wp-json/latepoint-api/v1/events/waiting-list/1
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": {
"id": 1,
"event_id": 3,
"customer_id": 40,
"customer": {
"id": 40,
"first_name": "Api",
"last_name": "Tester",
"full_name": "Api Tester",
"email": "api.tester@example.com",
"phone": ""
},
"ticket_type_id": null,
"ticket_type_name": null,
"quantity": 1,
"status": "waiting",
"status_label": "Waiting",
"position": 1,
"invited_at": null,
"invite_expires_at": null,
"converted_registration_id": null,
"converted_order_id": null,
"created_at": "2026-10-28 16:10:05",
"updated_at": "2026-10-28 16:10:05"
}
}
Error Response
{
"code": "waiting_list_entry_not_found",
"message": "Waiting list entry not found",
"data": {
"status": 404
}
}
